Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.xstream.converters.collections
Class AbstractCollectionConverter

    java.lang.Object
      com.thoughtworks.xstream.converters.collections.AbstractCollectionConverter

All Implemented Interfaces:
  Converter, ConverterMatcher

Direct Known Subclasses:
  ArrayConverter, CollectionConverter, MapConverter, SubjectConverter

    public abstract class AbstractCollectionConverter

extends Object
implements Converter

Base helper class for converters that need to handle collections of items (arrays, Lists, Maps, etc).

Typically, subclasses of this will converter the outer structure of the collection, loop through the contents and call readItem() or writeItem() for each item.

Author:
  Joe Walnes

Constructor Summary
`AbstractCollectionConverter(Mapper mapper)`

Method Summary
`abstract boolean` | `canConvert(Class type)` Determines whether the converter can marshall a particular type.
`protected Object` | `createCollection(Class type)`
`protected Mapper` | `mapper()`
`abstract void` | `marshal(Object source, HierarchicalStreamWriter writer, MarshallingContext context)` Convert an object to textual data.
`protected Object` | `readItem(HierarchicalStreamReader reader, UnmarshallingContext context, Object current)`
`abstract Object` | `unmarshal(HierarchicalStreamReader reader, UnmarshallingContext context)` Convert textual data back into an object.
`protected void` | `writeItem(Object item, MarshallingContext context, HierarchicalStreamWriter writer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractCollectionConverter

    public AbstractCollectionConverter(Mapper mapper)

Method Detail

### canConvert

    public abstract boolean canConvert(Class type)

  Description copied from interface: `ConverterMatcher`
  Determines whether the converter can marshall a particular type.

  Specified by:
    `canConvert` in interface `ConverterMatcher`
  Parameters:
    `type` - the Class representing the object type to be converted

### mapper

    protected Mapper mapper()

### marshal

    public abstract void marshal(Object source,
                                 HierarchicalStreamWriter writer,
                                 MarshallingContext context)

  Description copied from interface: `Converter`
  Convert an object to textual data.

  Specified by:
    `marshal` in interface `Converter`
  Parameters:
    `source` - The object to be marshalled.
    `writer` - A stream to write to.
    `context` - A context that allows nested objects to be processed by XStream.

### unmarshal

    public abstract Object unmarshal(HierarchicalStreamReader reader,
                                     UnmarshallingContext context)

  Description copied from interface: `Converter`
  Convert textual data back into an object.

  Specified by:
    `unmarshal` in interface `Converter`
  Parameters:
    `reader` - The stream to read the text from.
  Returns:
    The resulting object.

### writeItem

    protected void writeItem(Object item,
                             MarshallingContext context,
                             HierarchicalStreamWriter writer)

### readItem

    protected Object readItem(HierarchicalStreamReader reader,
                              UnmarshallingContext context,
                              Object current)

### createCollection

    protected Object createCollection(Class type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 XStream. All Rights Reserved.